Starmade | Tab + F6 causes nullpointer when in build mode
Closed, FinishedPublic

Description

Seems to work fine in astronaut mode. Flight Mode too.

To reproduce you mark your ship with f ,enter it, go into build mode and press Tab+F6

You also have to look at the object you are in , so it shows the yellow "build-box"
Video by spunkie showing this: https://youtu.be/LKjQvtpzt7I

Stacktrace for build mode of a station and from a ship.:

[2015-09-21 17:45:38] java.lang.NullPointerException
[2015-09-21 17:45:38] 	at org.schema.game.client.view.cubes.occlusion.Occlusion.a(SourceFile:1329)
[2015-09-21 17:45:38] 	at org.schema.game.client.view.cubes.occlusion.Occlusion.b(SourceFile:1219)
[2015-09-21 17:45:38] 	at org.schema.game.client.view.cubes.occlusion.Occlusion.a(SourceFile:427)
[2015-09-21 17:45:38] 	at obfuscated.hk.run(SourceFile:2072)
[2015-09-21 17:45:38] [CLIENT] Exception: NullPointerException in computing Lighting of SpaceStation[ENTITY_SPACESTATION_starterstation_build6_1435813421027(5930)]. retrying
[2015-09-21 17:45:38] [SEGDRAWER] not Disposed LEFT: 1050/1054
[2015-09-21 17:45:38] [CLIENT] clearing all buffered data
[2015-09-21 17:45:39] RESORTING TIME : 51
[2015-09-21 17:45:39] org.schema.game.common.controller.CannotImmediateRequestOnClientException
[2015-09-21 17:45:39] 	at org.schema.game.common.controller.SegmentBuffer.a(SourceFile:477)
[2015-09-21 17:45:39] 	at org.schema.game.common.controller.SegmentBuffer.a(SourceFile:423)
[2015-09-21 17:45:39] 	at org.schema.game.common.controller.SegmentBuffer.a(SourceFile:563)
[2015-09-21 17:45:39] 	at org.schema.game.common.controller.SegmentBuffer.a(SourceFile:558)
[2015-09-21 17:45:39] 	at org.schema.game.common.controller.SegmentBufferManager.a(SourceFile:315)
[2015-09-21 17:45:39] 	at obfuscated.gL.a(SourceFile:1094)
[2015-09-21 17:45:39] 	at obfuscated.gL.b_(SourceFile:196)
[2015-09-21 17:45:39] 	at obfuscated.hy.b_(SourceFile:400)
[2015-09-21 17:45:39] 	at obfuscated.hb.f(SourceFile:510)
[2015-09-21 17:45:39] 	at obfuscated.hb.b_(SourceFile:368)
[2015-09-21 17:45:39] 	at obfuscated.asc.e(SourceFile:777)
[2015-09-21 17:45:39] 	at obfuscated.asc.a(SourceFile:1162)
[2015-09-21 17:45:39] 	at obfuscated.C.h(SourceFile:2772)
[2015-09-21 17:45:39] 	at obfuscated.Ml.run(SourceFile:92)
[2015-09-21 17:45:39] 	at java.lang.Thread.run(Unknown Source)

Logs: log.txt.0

Details

Testing Results
Affected Gamemode(s)
Multiplayer
Reproducible
Yes
Last tested (version)
0.19604 (Dev)
Issue Type
Bug
Category
Engine
First occurrence (version)
0.19438 (Dev)
Hardware/Software/System
OS-Specific
No
Hardware-Specific
No
Video Card Vendor
NVIDIA
Serverconfig (server.cfg)
<replace this line with the file content>
Clientconfig (settings.cfg)
<replace this line with the file content>
lancake created this task.Sep 21 2015, 3:50 PM
lancake changed Category from none/unspecified to Engine.
lancake changed Affected Gamemode(s) from none/unspecified to Multiplayer.
lancake set First occurrence (version) to 0.19438 (Dev).
lancake changed Reproducible from uncertain to Yes.
lancake set Last tested (version) to 0.19438 (Dev).
lancake changed Video Card Vendor from uncertain to NVIDIA.
lancake edited Serverconfig (server.cfg). (Show Details)
lancake edited Clientconfig (settings.cfg). (Show Details)
lancake added a subscriber: lancake.
Restricted Application added a project: Workflow Issue Navigation. · View Herald TranscriptSep 21 2015, 3:50 PM
AndyP claimed this task.Sep 21 2015, 10:50 PM
AndyP shifted this object from the S1 Public space to the S3 Starmade space.
AndyP changed the visibility from "Custom Policy" to "Public (No Login Required)".
AndyP changed the edit policy from "Task Author" to "All Users".
AndyP set Issue Type to Bug.
AndyP set OS-Specific to No.
AndyP set Hardware-Specific to No.

-Validated-

AndyP removed AndyP as the assignee of this task.Sep 21 2015, 10:51 PM
AndyP added a subscriber: AndyP.
Oninoni claimed this task.Sep 22 2015, 12:16 PM

Does not happen in 0.19438(active) or 0.19439(newest atm). So it probably was a problem with what you've been reloading? Maybe a corrupt Station/Ship nearby?

Oninoni edited the task description. (Show Details)Sep 22 2015, 3:43 PM
Oninoni edited the task description. (Show Details)Sep 22 2015, 3:47 PM
Oninoni changed Last tested (version) from 0.19438 (Dev) to 0.19439 (Dev).
Oninoni changed the task status from "Open" to "In Queue (Game)".EditedSep 22 2015, 3:52 PM

-Confirmed-

Added a description of how to reproduce and spunkie made a video so it should be clear

AndyP removed Oninoni as the assignee of this task.Dec 20 2015, 11:08 PM

Assignee 'Oninoni' left the testing team.

schema changed the task status from "In Queue (Game)" to "Resolved".Mar 9 2016, 3:11 AM
schema added a subscriber: schema.
Restricted Application added a subscriber: Megacrafter127. · View Herald Transcript

-QA Testing-

Fix confirmed.

lancake closed this task as "Closed".Mar 15 2016, 12:33 PM
lancake changed Last tested (version) from 0.19439 (Dev) to 0.19604 (Dev).
Restricted Application removed a project: Workflow Quality Assurance. · View Herald TranscriptMar 15 2016, 12:33 PM
Restricted Application removed a subscriber: AndyP. · View Herald Transcript

Add Comment